PUT
/
v2
/
groups
/
{group_id}
/
selection
Enable or disable future ingest for a WhatsApp group
curl --request PUT \
  --url https://api-v2.watchcollect.com/v2/groups/{group_id}/selection \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true
}
'
{
  "status": "accepted",
  "event_ids": [
    "018f06e2-4f8d-7c01-8a0d-cc6fd78f7002"
  ],
  "request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

group_id
string<uuid>
required

Body

application/json
enabled
boolean
required

Response

Selection command accepted or no-op.

status
enum<string>
required
Available options:
accepted,
duplicate_accepted,
rejected,
conflict,
noop
event_ids
string<uuid>[]
required
request_id
string
required
resource_id
string | null